### YamlMime:ManagedReference
items:
- uid: OmiLAXR.Extensions.Mesh_Ext
  commentId: T:OmiLAXR.Extensions.Mesh_Ext
  id: Mesh_Ext
  parent: OmiLAXR.Extensions
  children:
  - OmiLAXR.Extensions.Mesh_Ext.CreateFrom(UnityEngine.Vector3[],System.Int32[],UnityEngine.Color[])
  - OmiLAXR.Extensions.Mesh_Ext.CreateTriangle(UnityEngine.Vector3[],UnityEngine.Color[])
  langs:
  - csharp
  - vb
  name: Mesh_Ext
  nameWithType: Mesh_Ext
  fullName: OmiLAXR.Extensions.Mesh_Ext
  type: Class
  source:
    remote:
      path: Runtime/Extensions/Mesh_Ext.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: Mesh_Ext
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Extensions/Mesh_Ext.cs
    startLine: 4
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Extensions
  syntax:
    content: public static class Mesh_Ext
    content.vb: Public Module Mesh_Ext
  inheritance:
  - System.Object
- uid: OmiLAXR.Extensions.Mesh_Ext.CreateTriangle(UnityEngine.Vector3[],UnityEngine.Color[])
  commentId: M:OmiLAXR.Extensions.Mesh_Ext.CreateTriangle(UnityEngine.Vector3[],UnityEngine.Color[])
  id: CreateTriangle(UnityEngine.Vector3[],UnityEngine.Color[])
  parent: OmiLAXR.Extensions.Mesh_Ext
  langs:
  - csharp
  - vb
  name: CreateTriangle(Vector3[], Color[])
  nameWithType: Mesh_Ext.CreateTriangle(Vector3[], Color[])
  fullName: OmiLAXR.Extensions.Mesh_Ext.CreateTriangle(UnityEngine.Vector3[], UnityEngine.Color[])
  type: Method
  source:
    remote:
      path: Runtime/Extensions/Mesh_Ext.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: CreateTriangle
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Extensions/Mesh_Ext.cs
    startLine: 9
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Extensions
  summary: Create triangle from three vectors and their colors.
  example: []
  syntax:
    content: public static Mesh CreateTriangle(Vector3[] points, Color[] colors = null)
    parameters:
    - id: points
      type: UnityEngine.Vector3[]
    - id: colors
      type: UnityEngine.Color[]
    return:
      type: UnityEngine.Mesh
    content.vb: Public Shared Function CreateTriangle(points As Vector3(), colors As Color() = Nothing) As Mesh
  overload: OmiLAXR.Extensions.Mesh_Ext.CreateTriangle*
  nameWithType.vb: Mesh_Ext.CreateTriangle(Vector3(), Color())
  fullName.vb: OmiLAXR.Extensions.Mesh_Ext.CreateTriangle(UnityEngine.Vector3(), UnityEngine.Color())
  name.vb: CreateTriangle(Vector3(), Color())
- uid: OmiLAXR.Extensions.Mesh_Ext.CreateFrom(UnityEngine.Vector3[],System.Int32[],UnityEngine.Color[])
  commentId: M:OmiLAXR.Extensions.Mesh_Ext.CreateFrom(UnityEngine.Vector3[],System.Int32[],UnityEngine.Color[])
  id: CreateFrom(UnityEngine.Vector3[],System.Int32[],UnityEngine.Color[])
  parent: OmiLAXR.Extensions.Mesh_Ext
  langs:
  - csharp
  - vb
  name: CreateFrom(Vector3[], int[], Color[])
  nameWithType: Mesh_Ext.CreateFrom(Vector3[], int[], Color[])
  fullName: OmiLAXR.Extensions.Mesh_Ext.CreateFrom(UnityEngine.Vector3[], int[], UnityEngine.Color[])
  type: Method
  source:
    remote:
      path: Runtime/Extensions/Mesh_Ext.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: CreateFrom
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Extensions/Mesh_Ext.cs
    startLine: 14
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Extensions
  summary: Create a mesh based on the provided points, triangles and colors.
  example: []
  syntax:
    content: public static Mesh CreateFrom(Vector3[] points, int[] triangles, Color[] colors = null)
    parameters:
    - id: points
      type: UnityEngine.Vector3[]
    - id: triangles
      type: System.Int32[]
    - id: colors
      type: UnityEngine.Color[]
    return:
      type: UnityEngine.Mesh
    content.vb: Public Shared Function CreateFrom(points As Vector3(), triangles As Integer(), colors As Color() = Nothing) As Mesh
  overload: OmiLAXR.Extensions.Mesh_Ext.CreateFrom*
  nameWithType.vb: Mesh_Ext.CreateFrom(Vector3(), Integer(), Color())
  fullName.vb: OmiLAXR.Extensions.Mesh_Ext.CreateFrom(UnityEngine.Vector3(), Integer(), UnityEngine.Color())
  name.vb: CreateFrom(Vector3(), Integer(), Color())
references:
- uid: OmiLAXR.Extensions
  commentId: N:OmiLAXR.Extensions
  href: OmiLAXR.html
  name: OmiLAXR.Extensions
  nameWithType: OmiLAXR.Extensions
  fullName: OmiLAXR.Extensions
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Extensions
    name: Extensions
    href: OmiLAXR.Extensions.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Extensions
    name: Extensions
    href: OmiLAXR.Extensions.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: OmiLAXR.Extensions.Mesh_Ext.CreateTriangle*
  commentId: Overload:OmiLAXR.Extensions.Mesh_Ext.CreateTriangle
  href: OmiLAXR.Extensions.Mesh_Ext.html#OmiLAXR.Extensions.Mesh_Ext.CreateTriangle(UnityEngine.Vector3[],UnityEngine.Color[])
  name: CreateTriangle
  nameWithType: Mesh_Ext.CreateTriangle
  fullName: OmiLAXR.Extensions.Mesh_Ext.CreateTriangle
- uid: UnityEngine.Vector3[]
  isExternal: true
  name: Vector3[]
  nameWithType: Vector3[]
  fullName: UnityEngine.Vector3[]
  nameWithType.vb: Vector3()
  fullName.vb: UnityEngine.Vector3()
  name.vb: Vector3()
  spec.csharp:
  - uid: UnityEngine.Vector3
    name: Vector3
    isExternal: true
  - name: '['
  - name: ']'
  spec.vb:
  - uid: UnityEngine.Vector3
    name: Vector3
    isExternal: true
  - name: (
  - name: )
- uid: UnityEngine.Color[]
  isExternal: true
  name: Color[]
  nameWithType: Color[]
  fullName: UnityEngine.Color[]
  nameWithType.vb: Color()
  fullName.vb: UnityEngine.Color()
  name.vb: Color()
  spec.csharp:
  - uid: UnityEngine.Color
    name: Color
    isExternal: true
  - name: '['
  - name: ']'
  spec.vb:
  - uid: UnityEngine.Color
    name: Color
    isExternal: true
  - name: (
  - name: )
- uid: UnityEngine.Mesh
  commentId: T:UnityEngine.Mesh
  parent: UnityEngine
  isExternal: true
  name: Mesh
  nameWithType: Mesh
  fullName: UnityEngine.Mesh
- uid: UnityEngine
  commentId: N:UnityEngine
  isExternal: true
  name: UnityEngine
  nameWithType: UnityEngine
  fullName: UnityEngine
- uid: OmiLAXR.Extensions.Mesh_Ext.CreateFrom*
  commentId: Overload:OmiLAXR.Extensions.Mesh_Ext.CreateFrom
  href: OmiLAXR.Extensions.Mesh_Ext.html#OmiLAXR.Extensions.Mesh_Ext.CreateFrom(UnityEngine.Vector3[],System.Int32[],UnityEngine.Color[])
  name: CreateFrom
  nameWithType: Mesh_Ext.CreateFrom
  fullName: OmiLAXR.Extensions.Mesh_Ext.CreateFrom
- uid: System.Int32[]
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int[]
  nameWithType: int[]
  fullName: int[]
  nameWithType.vb: Integer()
  fullName.vb: Integer()
  name.vb: Integer()
  spec.csharp:
  - uid: System.Int32
    name: int
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: '['
  - name: ']'
  spec.vb:
  - uid: System.Int32
    name: Integer
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: (
  - name: )
